Ir para o conteúdo principal

Criar um roteador Fabric Cloud

Para criar um Fabric Cloud Router na API, envie uma solicitação POST para o endpoint /fabric/v4/routers.

POST /fabric/v4/routers
MethodPOST
URL or Endpoint/fabric/v4/routers
HeadersAuthorization, Content-Type
Path ParametersNot applicable
Query ParametersNot applicable
Body Parameterstype, name, location, package, order, notifications, account, project

Para validar esta solicitação com segurança em produção sem criar um roteador, consulte Testando em Produção (Simulação de API).

Exemplo de solicitar de curl:

curl -X
POST 'https: //api.equinix.com/fabric/v4/routers'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "type": "XF_ROUTER",
    "name": "My-Fabric-Cloud-Router",
    "location": {
        "metroCode": "SV"
    },
    "package": {
        "code": "LAB"
    },
    "order": {
        "purchaseOrderNumber": "1-129105284100"
    },
    "notifications": [
        {
            "type": "ALL",
            "emails": [
                "test@test.com"
            ]
        }
    ],
    "account": {
        "accountNumber": 272010
    },
    "project": {
        "projectId": "995072000433550"
    }
}'

Parâmetros corporais notáveis:

  • type (required) string - Asset instance type. Must be XF_ROUTER for a Fabric Cloud Router.
  • name (required) string - Fabric Cloud Router instance name. Example: "My-Fabric-Cloud-Router"
  • location (required) object - Fabric Cloud Router location information. Specify the Metro location for your Fabric Cloud Router with metroCode(required) string. Example: SV.
  • package (required) object - Fabric Cloud Router package determining the number of supported routes and Network Access Control Lists (NACL). Specify your desired package by its code (required) string:
    • LAB - Max Routes IPv4 = 50; Max Routes IPv6 = 50; 10Mbps max per connection ingress/egress bandwidth limit; Max connections per FCR: 10 (Trial package)
    • STANDARD - Max Routes IPv4 = 1000; Max Routes IPv6 = 100
  • notifications (required) object - Notification preferences regarding changes in asset configuration or its status. Use type (required) object to set the notification preferences for this asset. Applicable values: ALL. Use emails (required) array[string] to list the email recipients. Minimum: 1, Maximum: 12. Example: ["test@equinix.com"].
  • account (required) object - Customer billing account information. Must include the "accountNumber"(required) _integer_. Example: 272010`.
  • project (required) object - Customer resource hierarchy project information. Applicable to customers onboarded to Equinix Identity and Access Management. For more information see Identity and Access Management: Projects. Must include the projectId (required) string | Example: 995072000433550.

A lista completa de parâmetros está disponível na Referência da API

Se você receber um erro "Acesso negado", entre em contato com o Equinix Service Desk local para acesso ao Portal do Cliente Equinix (ECP) .

Exemplo de resposta:

{
    "href": "https://api.equinix.com/fabric/v4/routers/201b7346-a9eb-42fe-ae7a-08148c71928d",
    "uuid": "201b7346-a9eb-42fe-ae7a-08148c71928d",
    "state": "PROVISIONED",
    "type": "XF_ROUTER",
    "name": "My-Fabric-Cloud-Router",
    "location": {
        "metroCode": "HH"
    },
    "package": {
        "code": "LAB"
    },
    "order": {
        "purchaseOrderNumber": "1-129105284100"
    },
    "project": {
        "projectId": "12345"
    },
    "notifications": [
        {
            "type": "ALL",
            "emails": [
                "abc@abc.com"
            ]
        }
    ],
    "account": {
        "accountNumber": 123
    },
    "bgpIpv4RoutesCount": 0,
    "bgpIpv6RoutesCount": 0,
    "connectionCount": 0,
    "changeLog": {
        "createdBy": "abc@xyz.com",
        "createdByFullName": "abc",
        "createdByEmail": "abc@xyz.com",
        "createdDateTime": "2021-09-24T06:59:46Z"
    }
}
Esta página foi útil?